/**
 * 正则的枚举
 */
export declare class RegEnum {
    /**
     * 手机号码
     */
    private static _PHONE;
    /**
     * 身份号码15位
     */
    private static _IDCARD15;
    /**
     * 身份证号码18位
     */
    private static _IDCARD18;
    /**
     * 邮箱
     */
    private static _EMAIL;
    /**
     * 整数
     */
    private static _INTEGER;
    /**
     *  数字
     */
    private static _NUMBER;
    /**
     * 验证由26个英文字母组成的字符串
     */
    private static _ENCHAR;
    /**
     * 验证由26个大写英文字母组成的字符串
     */
    private static _ENCHARD;
    /**
     * 验证由26个小写英文字母组成的字符串
     */
    private static _ENCHARX;
    /**
     * 验证由数字和26个英文字母组成的字符串
     */
    private static _ENCHARXN;
    /**
     * 验证由数字、26个英文字母或者下划线组成的字符串
     */
    private static _ENCHAR_N;
    /**
     * 验证汉字
     */
    private static _CN;
    private static _TEL;
    /**
     * 验证URL
     */
    private static _URL;
    static get TEL(): RegExp;
    static set TEL(value: RegExp);
    static get PHONE(): RegExp;
    static set PHONE(value: RegExp);
    static get IDCARD15(): RegExp;
    static set IDCARD15(value: RegExp);
    static get IDCARD18(): RegExp;
    static set IDCARD18(value: RegExp);
    static get EMAIL(): RegExp;
    static set EMAIL(value: RegExp);
    static get INTEGER(): RegExp;
    static set INTEGER(value: RegExp);
    static get NUMBER(): RegExp;
    static set NUMBER(value: RegExp);
    static get ENCHAR(): RegExp;
    static set ENCHAR(value: RegExp);
    static get ENCHARD(): RegExp;
    static set ENCHARD(value: RegExp);
    static get ENCHARX(): RegExp;
    static set ENCHARX(value: RegExp);
    static get ENCHARXN(): RegExp;
    static set ENCHARXN(value: RegExp);
    static get ENCHAR_N(): RegExp;
    static set ENCHAR_N(value: RegExp);
    static get CN(): RegExp;
    static set CN(value: RegExp);
    static get URL(): RegExp;
    static set URL(value: RegExp);
}
