export declare class OrderItem {
    /**
     * 排序的字段
     */
    column?: string;
    /**
     * 是否正序 默认false
     */
    asc?: boolean;
    constructor(column?: string, asc?: boolean);
}
/**
 * 分页信息
 */
export declare class Page extends OrderItem {
    /**
     * 页数大小
     */
    size?: number;
    /**
     * 当前页
     */
    current?: number;
    /**
     * 排序对象
     */
    orders?: OrderItem;
    constructor(size?: number, current?: number, orders?: OrderItem);
}
/**
 * ID查询对象
 */
export declare class Id<ID> {
    id?: ID;
}
